{
	myPopup

	accepttext
	backtext

	Init[ (s)
	{
		page = GetConfigPage();

		ConfigKeysMenu(page);

		accepttext=AddFloatingTextJustify(530, 0, 195, false,32767);
        	accepttext.SetFontNum(1);
		backtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		backtext.SetFontNum(1);

		myPopup=CreatePopupMenu(15,75,150,100);
		myPopup.AddItem(490);
		myPopup.AddItem(49,"ActuallyDefaultKeys");
		myPopup.AddItem(50,"CancelDefaultKeys");
		myPopup.SetSelectable(0,false);
		myPopup.SetVisible(false);
		myPopup.SetSelectedItem(2);
		myPopup.SetBackground();
	} ]

	HideAcceptBack[ (s)
	{
		accepttext.SetVisible(false);
		backtext.SetVisible(false);
	} ]

	ShowAcceptBack[ (s)
	{
		accepttext.SetVisible(true);
		backtext.SetVisible(true);
	} ]

	NextPage[ (s)
	{
		page = GetConfigPage();
		page = page + 1;
		SetConfigPage(page);
		Init();
	}]

	PrevPage[ (s)
	{
		page = GetConfigPage();
		page = page - 1;
		SetConfigPage(page);
		Init();
	}]

	DefaultKeys[ (s)
	{
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	}]

	ActuallyDefaultKeys[ (s)
	{
		myPopup.SetVisible(false);
		ConfigKeysDefault();
		Init();
	}]

	CancelDefaultKeys[ (s)
	{
		myPopup.SetVisible(false);
		Init();
	}]

	ConfigKeysBack[ (s)
	{
		OpenMenu("Options");
	}]

	BackToConfig[ (s)
	{
		page = GetConfigPage();
		ConfigKeysMenu(page);
	}]
}